import GIS from './caprigis.js';
import UI from './ui.js';

document.addEventListener('DOMContentLoaded', async () => {
    const init = await GIS.initMap('map');
    let {map, sites} = init;

    UI.addCenterMapControl(map, GIS.CENTER_COORDS, GIS.INIT_ZOOM);

    const centerCoords = sites.getBounds().getCenter();
    UI.addSitesControl(map, centerCoords, 'Grotta di Matermania');
});